TEMPLATE = lib
CONFIG *= plugin
CONFIG *= warn_on
CONFIG *= debug_and_release

PVERSION = 1.0.0

greaterThan(QT_MAJOR_VERSION, 4) {
  QT *= widgets
  QT *= concurrent
  DEFINES += HAVE_QT5
  unix:!mac:DEFINES += OS_LINUX
  OTHER_FILES += freedb.json
}

DEFINES += PLUGIN_VERSION=\\\"$$PVERSION\\\"

HEADERS = freedb.h
SOURCES = freedb.cpp

HEADERS += ../../qoobar_app/discidhelper.h
HEADERS += ../../qoobar_app/idownloadplugin.h
HEADERS += ../../qoobar_app/coverimage.h
HEADERS += ../../qoobar_app/qoobarglobals.h

SOURCES += ../../qoobar_app/discidhelper.cpp
SOURCES += ../../qoobar_app/coverimage.cpp
SOURCES += ../../qoobar_app/qoobarglobals.cpp

INCLUDEPATH += ../../qoobar_app
DEPENDPATH += ../../qoobar_app

TARGET = freedb

BUILD_DIR =
CONFIG(release, debug|release):BUILD_DIR = ../../../release
CONFIG(debug, debug|release):BUILD_DIR = ../../../debug

DLLDESTDIR = $${BUILD_DIR}/plugins
DESTDIR = $${BUILD_DIR}/plugins
OBJECTS_DIR = $${BUILD_DIR}/$${TARGET}
RCC_DIR = $${BUILD_DIR}/$${TARGET}
MOC_DIR = $${BUILD_DIR}/$${TARGET}

unix {
!mac {
    PLUGINS_PATH = /usr/lib/qoobar/plugins
    target.path = $$PLUGINS_PATH
    INSTALLS += target
}
}

mac {
    LIBS += -F../../../mac_os/ -framework discid
    INCLUDEPATH += ../../../mac_os/discid.framework/Versions/A/Headers
    DEPENDPATH += ../../../mac_os/discid.framework/Versions/A/Headers

    target.path = $${BUILD_DIR}/qoobar.app/Contents/PlugIns
    INSTALLS += target
}
